#ifndef svcm_namedobj__ah_h
#define svcm_namedobj__ah_h
/*-
 * svcm_namedobj__ah.h
 *
 *	@(#)updateheader	1.14 (UCLA Ficus Project) 7/27/94
 *
 * Copyright (c) 1993 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the University of
 *      California, Los Angeles and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */


/*
 * NOTE:
 * The file is automatically maintained via the program updateheader.
 * While additions to this file will be maintained, there is no need to
 * edit the function prototypes for functions in svcm_namedobj.c
 * --- they will be automatically updated.
 */

__BEGIN_DECLS
#ifdef SVCM_TWO
extern int svcm_namedobj_init __P((struct svcm_name *name, struct vnode *own_vp, int obj_class, struct ucred *cred));
extern int svcm_namedobj_register __P((struct svcm_name *name, struct vnode *own_vp, enum svcm_obj_classes obj_class, int namedobj_len, struct svcm_namedobj_name *namedobj, enum svcm_status status, struct ucred *cred));
extern int svcm_dnlc_enter __P((struct svcm_name *name, struct vnode *dvp, char *nm, struct vnode *vp, struct ucred *cred));
extern int svcm_dnlc_remove __P((struct svcm_name *name, struct vnode *dvp, char *nm, struct ucred *cred));
#endif /* SVCM_TWO */
__END_DECLS

#endif /* svcm_namedobj__ah_h */
