
#include <sys/types.h>
#include <sys/mman.h>
#include <sys/fcntl.h>


int
main(argc, argv)
	int argc;
	char **argv;
{
	char *raddr, *addr;
	int fd;
	int off = 0;
	int i;
	extern char *mmap();
	char *file;
	int size;

	if (argc!=3) {
		printf ("usage: %s file size\n", argv[0]);
		exit (1);
	};

	file = argv[1];
	size = atoi(argv[2]);
	
	printf ("File <%s>, size=%d\n", file, size);
	if (-1==(fd = open(*argv, O_RDONLY))) {
		perror ("open");
	};
	addr = 0;
	if (-1==(int)(raddr = mmap(addr, size, PROT_READ, MAP_PRIVATE, fd, off))) {
		perror ("mmap");
	};
	for (i=0; i<size; i++)
		putchar (raddr[i]);
	exit (0);
}

