
/*-
 * null_debug.h
 *
 *	$Id: null_debug.h,v 1.3 1995/03/06 14:46:04 johnh Exp $ (UCLA Ficus Project) $Date: 1995/03/06 14:46:04 $
 *
 * Copyright (c) 1994 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the University of
 *      California, Los Angeles and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifdef JOHNH_DATA_PAGE_LIST_VERIFY
#define NULL_VERIFY_BOTH_PAGES(nvp) null_verify_pages(nvp, 1)
#define NULL_VERIFY_PAGES(nvp) null_verify_pages(nvp, 0)
#else /* ! JOHNH_DATA_PAGE_LIST_VERIFY */
#define NULL_VERIFY_BOTH_PAGES(nvp)
#define NULL_VERIFY_PAGES(nvp)
#endif /* JOHNH_DATA_PAGE_LIST_VERIFY */

#ifdef JOHNH_DATA_PAGE_DEBUGGING
#define NULL_CHECK_NULL_UFS_VP(VP) null_check_null_ufs_vp(VP)
#else /* ! JOHNH_DATA_PAGE_DEBUGGING */
#define NULL_CHECK_NULL_UFS_VP(VP) 
#endif /* JOHNH_DATA_PAGE_DEBUGGING */

#include <nullfs/null_debug__ah.h>
