#
# nullfs.gdb
# a gdb script to trace all null vnode operations
#

set height 0

set $null_vnodeop_p = null_vnodeop_p

b null_bypass
com
output ap->a_desc->vdesc_name
echo \n
cont
end

b null_inactive
com
cont
end

b null_open
com
cont
end

b null_getattr
com
cont
end

b null_lookup
com
cont
end

b null_rename
com
cont
end

b null_remove
com
cont
end

b null_rmdir
com
cont
end

b null_rdwr
com
cont
end

b null_getpage
com
cont
end

b null_putpage
com
cont
end

b null_fsync
com
cont
end

b i405_vn_map if (ap->a_vp->v_op == $null_vnodeop_p)
com
cont
end

b i405_vn_cache_callback if (ap->a_vp->v_op == $null_vnodeop_p)
com
cont
end


