.TH MAKE_NCA_UUID 1 "9 August 1993" "UCLA Stacking"

.SH NAME
make_nca_uuid \- create an NCA-uuid for a new operation

.SH SYNOPSIS
.B make_nca_uuid

.SH DESCRIPTION
.LP
.B make_nca_uuid
generates a new, universally unique 
identifier according to the Network Computing Architecture UUID specification.
The UCLA Stacking interface uses NCA UUIDs
to identify inter-machine operations.

.SH EXAMPLE
To create a new UUID for a new operation:
.sp
.RS
.nf
.ft B
nottingham> ./make_nca_uuid
uuid(2c66831a0000.02.83.b3.c0.45.00.00.00)
.ft R
.fi
.RE
.br
.LP

This UUID can now be inserted into an 
.BR intgen (1)
.I .int
file.

.SH "SEE ALSO"
.BR intgen (1),

Lisa Zahn, Terence H. Dineen, Paul J. Leach, Elizabeth A. Martin, Nathaniel W. Mishkin, Joseph N. Pato, and Geoffrey L. Wyant; 
.I Network Computing Architecture,
Prentice Hall, 1990.

