
/*
 * Universally Unique IDs for the new interface.
 *
 * It's unfortunate that these have to be in lowercase.
 * They must end in _uuid for VOFFSET to work in certain cases.
 * (The alternative is to make xvop_foo_desc uppercase, which
 * is certainly worse).
 */


#define nvop_default_uuid	1000

#define nvop_open_uuid		1001
#define nvop_close_uuid		1002
#define nvop_rdwr_uuid		1003
#define nvop_ioctl_uuid		1004
#define nvop_select_uuid	1005
#define nvop_getattr_uuid	1006
#define nvop_setattr_uuid	1007
#define nvop_access_uuid	1008
#define nvop_lookup_uuid	1009
#define nvop_create_uuid	1010
#define nvop_remove_uuid	1011
#define nvop_link_uuid		1012
#define nvop_rename_uuid	1013
#define nvop_mkdir_uuid		1014
#define nvop_rmdir_uuid		1015
#define nvop_readdir_uuid	1016
#define nvop_symlink_uuid	1017
#define nvop_readlink_uuid	1018
#define nvop_fsync_uuid		1019
#define nvop_inactive_uuid	1020
#define nvop_lockctl_uuid	1021
#define nvop_fid_uuid		1022
#define nvop_getpage_uuid	1023
#define nvop_putpage_uuid	1024
#define nvop_map_uuid		1025
#define nvop_dump_uuid		1026
#define nvop_cmp_uuid		1027
#define nvop_realvp_uuid	1028

#define fvop_debug_uuid		2001
#define fvop_orphan_uuid	2002
#define fvop_getfattrs_uuid	2003
#define fvop_setfattrs_uuid	2004
#define fvop_newcreate_uuid	2005

#define nvop_newopen_uuid	3001
#define nvop_newfid_uuid	3002
#define nvop_purge_cache_uuid	3003
#define nvop_get_token_uuid	3004
#define nvop_newfid_to_vp_uuid	3005

