
#include <sys/types.h>
#include <sys/fcntl.h>
#include <sys/dirent.h>

void 
perrorexit(s)
	char *s;
{
	perror (s);
	exit (1);
}

main(argc, argv)
	int argc;
	char **argv;
{
	int fd;
	int n;
#define BUFSIZE 8192
	char buf[BUFSIZE];
	struct dirent *de;

	if (-1==(fd=open(argv[1], O_RDONLY)))
		perrorexit ("open");
	if (-1==(n=getdents(fd, buf, BUFSIZE)))
		perrorexit ("getdents");
	printf ("n=%d\n", n);
	de = (struct dirent*)buf;
	while (((char*)de) - buf < n) {
		printf ("%d %s\n", de->d_fileno, de->d_name);
		de = (struct dirent*)((char*)de + de->d_reclen);
		if (de->d_reclen == 0)
			break;
	};
	printf ("done\n");

	close (fd);
}

