#ifndef i405_subr__ah_h
#define i405_subr__ah_h
/*-
 * i405_subr__ah.h
 *
 *	@(#)updateheader	1.14 (UCLA Ficus Project) 7/27/94
 *
 * Copyright (c) 1993 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the University of
 *      California, Los Angeles and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */


/*
 * NOTE:
 * The file is automatically maintained via the program updateheader.
 * While additions to this file will be maintained, there is no need to
 * edit the function prototypes for functions in i405_subr.c
 * --- they will be automatically updated.
 */

__BEGIN_DECLS
extern int i405_getfsindex __P((char *fsname));
extern int  i405_vn_einval __P(());
extern int  i405_vn_default __P(());
extern int  i405_vn_noerror __P(());
extern int i405_vn_cmp __P((struct nvop_cmp_args *ap));
extern long i405_generate_unique_fsid __P((struct vfs *vfsp, int mntno));
extern void old_vn_rele __P((struct vnode *vp));
extern void new_vn_rele __P((struct vnode *vp));
extern void struuid __P((char *s, struct nca_uuid *uuid));
extern struct vnodeop_desc * i405_uuid_to_desc __P((struct nca_uuid *uuidp));
extern int  safe_vnodeop_failure __P(());
extern void  i405_init_dead_vp __P(());
__END_DECLS

#endif /* i405_subr__ah_h */
