
/*
 * i405_syscalls.h
 *
 *	@(#)i405_syscalls.h	2.19 (UCLA Ficus Project) 3/6/95
 *
 * Copyright (c) 1992 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the University of
 *      California, Los Angeles and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *
 * Syscall numbers for the new interface syscalls.
 *
 * NEEDSWORK:  This should be automatically generated,
 * but isn't.
 *
 */

#ifndef __i405_i405_syscalls_h
#define __i405_i405_syscalls_h

#include <ficus/cdefs.h>

/* #define SYS_knfs_purge_caches        xxx -- gone */
/* #define SYS_user_vnodeop_operations	xxx -- gone */
/* #define SYS_newfid_to_vnode		xxx -- gone */

#define SYS_user_uuid_vnodeop		200
/* Any old "SYS_user_new_vnodeop" should change to "SYS_user_uuid_vnodeop" */
/* #define SYS_user_largeuuid_vnodeop	201 -- gone */
#define SYS_vnode_to_vfs		202
#define SYS_vfs_to_vnode		217
#define SYS_vnode_to_fid		203
#define SYS_fid_to_vnode		204
#define SYS_ook_lookupname		212
/* #define SYS_ook_vn_rele		xxx -- gone */
#define SYS_normalize_fdvp		215
#define SYS_vnode_to_fd			218
#define SYS_fwl_mount			216

/*
 * These are for debugging.
 */
#define SYS_vfsstats			198
#define SYS_vnode_type			199
#define SYS_dnlc_purge			213
#define SYS_test_getfattrs		214

#if defined(KERNEL) && !defined(OUTOFKERNEL)
#include <i405/i405_syscalls__ah.h>
#endif /* defined(KERNEL) && !defined(OUTOFKERNEL) */

#endif __i405_i405_syscalls_h
