#ifndef i405_xdr_xport__ah_h
#define i405_xdr_xport__ah_h
/*-
 * i405_xdr_xport__ah.h
 *
 *	@(#)updateheader	1.14 (UCLA Ficus Project) 7/27/94
 *
 * Copyright (c) 1993 The Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the University of
 *      California, Los Angeles and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */


/*
 * NOTE:
 * The file is automatically maintained via the program updateheader.
 * While additions to this file will be maintained, there is no need to
 * edit the function prototypes for functions in i405_xdr_xport.c
 * --- they will be automatically updated.
 */

__BEGIN_DECLS
extern int i405_xdr_char __P((void *there, char *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_int __P((void *there, int *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_short __P((void *there, short *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_u_short __P((void *there, u_short *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_struct_vnode_p __P((void *there, struct vnode **vp_p, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_struct_vnode_pp __P((void *there, struct vnode ***vpp_p, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_structure __P((void *there, caddr_t here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_reference __P((XDR *there, caddr_t *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_handle_array_elems __P((XDR *there, caddr_t here, struct xport_datatype *what_d, int count, int how, int why));
extern int i405_xdr_implicit_array __P((void *there, caddr_t here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_indirect_implicit_array __P((void *there, caddr_t *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_fixed_array __P((void *there, struct i405_fixed_array *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_indirect_fixed_array __P((void *there, struct i405_indirect_fixed_array *here, struct xport_datatype *what_d, int how, int why));
#ifdef INTGEN_ONE_COMPAT
extern int i405_xdr_indirect_variable_array __P((void *there, struct i405_indirect_variable_array *here, struct xport_datatype *what_d, int how, int why));
#else   /* INTGEN_ONE_COMPAT */
extern int i405_xdr_indirect_variable_array __P((void *there, struct i405_indirect_variable_array *here, struct xport_datatype *what_d, int how, int why));
#endif   /* INTGEN_ONE_COMPAT */
extern int i405_xdr_struct_i405_uio __P((void *there, struct i405_uio *here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_struct_uio_p __P((void *there, struct uio **here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_struct_pathname_p __P((void *there, struct pathname **pp, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_struct_ucred __P((void *there, struct ucred *cred, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_struct_ucred_p __P((void *there, struct ucred **credp, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_char_p __P((XDR *there, char **here, struct xport_datatype *what_d, int how, int why));
extern int i405_xdr_union __P((XDR *there, struct i405_generic_union *here, struct xport_datatype *what_d, int how, int why));
__END_DECLS

#endif /* i405_xdr_xport__ah_h */
